API Documentation
Kuali Research REST APIs - Subaward
Research Subaward ¶
Closeout Types ¶
Get Closeout Types by KeyGET/subaward/api/v1/closeout-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Closeout TypesGET/subaward/api/v1/closeout-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Closeout Types with FilteringGET/subaward/api/v1/closeout-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- closeoutTypeCode
string(optional)Closeout Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Closeout TypesGET/subaward/api/v1/closeout-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"closeoutTypeCode",
"description"
],
"primaryKey": "closeoutTypeCode"
}Get Blueprint API specification for Closeout TypesGET/subaward/api/v1/closeout-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Closeout Types.md"
transfer-encoding: chunkedUpdate Closeout TypesPUT/subaward/api/v1/closeout-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Closeout TypesPUT/subaward/api/v1/closeout-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Closeout TypesPATCH/subaward/api/v1/closeout-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Closeout TypesPOST/subaward/api/v1/closeout-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Closeout TypesPOST/subaward/api/v1/closeout-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"closeoutTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Closeout Types by KeyDELETE/subaward/api/v1/closeout-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Closeout TypesDELETE/subaward/api/v1/closeout-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Closeout Types with MatchingDELETE/subaward/api/v1/closeout-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- closeoutTypeCode
string(optional)Closeout Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalReleased Sub Award Amounts ¶
Get Released Sub Award Amounts by KeyGET/subaward/api/v1/released-sub-award-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}Get All Released Sub Award AmountsGET/subaward/api/v1/released-sub-award-amounts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}
]Get All Released Sub Award Amounts with FilteringGET/subaward/api/v1/released-sub-award-amounts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardAmtReleasedId
string(optional)Subaward Amt Released Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- documentNumber
string(optional)- subAwardId
string(optional)- sequenceNumber
string(optional)- subAwardCode
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- amountReleased
string(optional)Amount Released. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- effectiveDate
string(optional)Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is .*.
- invoiceNumber
string(optional)Invoice ID. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- startDate
string(optional)Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- endDate
string(optional)End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- document
string(optional)Document. Maximum length is 4000. Validating pattern is ^[\p{Graph}]*$.
- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- createdBy
string(optional)- createdDate
string(optional)- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- invoiceStatus
string(optional)Invoice Status. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Released Sub Award AmountsGET/subaward/api/v1/released-sub-award-amounts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardAmtReleasedId",
"documentNumber",
"subAwardId",
"sequenceNumber",
"subAwardCode",
"amountReleased",
"effectiveDate",
"comments",
"invoiceNumber",
"startDate",
"endDate",
"document",
"fileName",
"createdBy",
"createdDate",
"mimeType",
"invoiceStatus"
],
"primaryKey": "subAwardAmtReleasedId"
}Get Blueprint API specification for Released Sub Award AmountsGET/subaward/api/v1/released-sub-award-amounts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Released Sub Award Amounts.md"
transfer-encoding: chunkedUpdate Released Sub Award AmountsPUT/subaward/api/v1/released-sub-award-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Released Sub Award AmountsPUT/subaward/api/v1/released-sub-award-amounts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Released Sub Award AmountsPATCH/subaward/api/v1/released-sub-award-amounts/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}Insert Released Sub Award AmountsPOST/subaward/api/v1/released-sub-award-amounts/
Example URI
- createMaintenanceDocument
string(required)will create a maintenance document associated with the new amount released instead of automatically applying it to the SubAward.
- route
string(required)will automatically submit the created maintenance document into routing if
createMaintenanceDocumentistrue, otherwise does nothing.
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}201Body
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Released Sub Award AmountsPOST/subaward/api/v1/released-sub-award-amounts/
Example URI
- createMaintenanceDocument
string(required)will create a maintenance document associated with the new amount released instead of automatically applying it to the SubAward.
- route
string(required)will automatically submit the created maintenance document into routing if
createMaintenanceDocumentistrue, otherwise does nothing.
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmtReleasedId": "(val)",
"documentNumber": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"amountReleased": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"invoiceNumber": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"document": "(val)",
"fileName": "(val)",
"createdBy": "(val)",
"createdDate": "(val)",
"mimeType": "(val)",
"invoiceStatus": "(val)",
"_primaryKey": "(val)"
}
]Delete Released Sub Award Amounts by KeyDELETE/subaward/api/v1/released-sub-award-amounts/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Released Sub Award AmountsDELETE/subaward/api/v1/released-sub-award-amounts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Released Sub Award Amounts with MatchingDELETE/subaward/api/v1/released-sub-award-amounts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardAmtReleasedId
string(optional)Subaward Amt Released Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- documentNumber
string(optional)- subAwardId
string(optional)- sequenceNumber
string(optional)- subAwardCode
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- amountReleased
string(optional)Amount Released. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- effectiveDate
string(optional)Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is .*.
- invoiceNumber
string(optional)Invoice ID. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- startDate
string(optional)Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- endDate
string(optional)End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- document
string(optional)Document. Maximum length is 4000. Validating pattern is ^[\p{Graph}]*$.
- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- createdBy
string(optional)- createdDate
string(optional)- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- invoiceStatus
string(optional)Invoice Status. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Amount Infos ¶
Get Sub Award Amount Infos by KeyGET/subaward/api/v1/sub-award-amount-infos/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award Amount InfosGET/subaward/api/v1/sub-award-amount-infos/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Amount Infos with FilteringGET/subaward/api/v1/sub-award-amount-infos/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardAmountInfoId
string(optional)Subaward Amount Info Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- rate
string(optional)Rate. Maximum length is 5. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- obligatedAmount
string(optional)Obligated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChange
string(optional)Obligated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChangeDirect
string(optional)Obligated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChangeIndirect
string(optional)Obligated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedAmount
string(optional)Anticipated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChange
string(optional)Anticipated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChangeDirect
string(optional)Anticipated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChangeIndirect
string(optional)Anticipated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- effectiveDate
string(optional)Effective Date. Maximum length is 22. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is .*.
- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- modificationEffectiveDate
string(optional)Modification Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- modificationID
string(optional)Modification ID. Maximum length is 50. Validating pattern is .*.
- modificationTypeCode
string(optional)Modification Type. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- periodofPerformanceStartDate
string(optional)Period of Performance Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- periodofPerformanceEndDate
string(optional)Period of Performance End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- purchaseOrderNum
string(optional)Purchase Order ID. Maximum length is 10. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- fileDataId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award Amount InfosGET/subaward/api/v1/sub-award-amount-infos/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardAmountInfoId",
"subAwardId",
"sequenceNumber",
"subAwardCode",
"rate",
"obligatedAmount",
"obligatedChange",
"obligatedChangeDirect",
"obligatedChangeIndirect",
"anticipatedAmount",
"anticipatedChange",
"anticipatedChangeDirect",
"anticipatedChangeIndirect",
"effectiveDate",
"comments",
"fileName",
"mimeType",
"modificationEffectiveDate",
"modificationID",
"modificationTypeCode",
"periodofPerformanceStartDate",
"periodofPerformanceEndDate",
"purchaseOrderNum",
"fileDataId"
],
"primaryKey": "subAwardAmountInfoId"
}Get Blueprint API specification for Sub Award Amount InfosGET/subaward/api/v1/sub-award-amount-infos/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Amount Infos.md"
transfer-encoding: chunkedUpdate Sub Award Amount InfosPUT/subaward/api/v1/sub-award-amount-infos/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award Amount InfosPUT/subaward/api/v1/sub-award-amount-infos/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award Amount InfosPATCH/subaward/api/v1/sub-award-amount-infos/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award Amount InfosPOST/subaward/api/v1/sub-award-amount-infos/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award Amount InfosPOST/subaward/api/v1/sub-award-amount-infos/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAmountInfoId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"rate": "(val)",
"obligatedAmount": "(val)",
"obligatedChange": "(val)",
"obligatedChangeDirect": "(val)",
"obligatedChangeIndirect": "(val)",
"anticipatedAmount": "(val)",
"anticipatedChange": "(val)",
"anticipatedChangeDirect": "(val)",
"anticipatedChangeIndirect": "(val)",
"effectiveDate": "(val)",
"comments": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"modificationEffectiveDate": "(val)",
"modificationID": "(val)",
"modificationTypeCode": "(val)",
"periodofPerformanceStartDate": "(val)",
"periodofPerformanceEndDate": "(val)",
"purchaseOrderNum": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Amount Infos by KeyDELETE/subaward/api/v1/sub-award-amount-infos/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award Amount InfosDELETE/subaward/api/v1/sub-award-amount-infos/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Amount Infos with MatchingDELETE/subaward/api/v1/sub-award-amount-infos/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardAmountInfoId
string(optional)Subaward Amount Info Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- rate
string(optional)Rate. Maximum length is 5. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- obligatedAmount
string(optional)Obligated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChange
string(optional)Obligated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChangeDirect
string(optional)Obligated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- obligatedChangeIndirect
string(optional)Obligated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedAmount
string(optional)Anticipated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChange
string(optional)Anticipated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChangeDirect
string(optional)Anticipated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- anticipatedChangeIndirect
string(optional)Anticipated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- effectiveDate
string(optional)Effective Date. Maximum length is 22. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is .*.
- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- modificationEffectiveDate
string(optional)Modification Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- modificationID
string(optional)Modification ID. Maximum length is 50. Validating pattern is .*.
- modificationTypeCode
string(optional)Modification Type. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- periodofPerformanceStartDate
string(optional)Period of Performance Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- periodofPerformanceEndDate
string(optional)Period of Performance End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- purchaseOrderNum
string(optional)Purchase Order ID. Maximum length is 10. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- fileDataId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Approval Types ¶
Get Sub Award Approval Types by KeyGET/subaward/api/v1/sub-award-approval-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award Approval TypesGET/subaward/api/v1/sub-award-approval-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Approval Types with FilteringGET/subaward/api/v1/sub-award-approval-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardApprovalTypeCode
string(optional)SubAward Approval Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award Approval TypesGET/subaward/api/v1/sub-award-approval-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardApprovalTypeCode",
"description"
],
"primaryKey": "subAwardApprovalTypeCode"
}Get Blueprint API specification for Sub Award Approval TypesGET/subaward/api/v1/sub-award-approval-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Approval Types.md"
transfer-encoding: chunkedUpdate Sub Award Approval TypesPUT/subaward/api/v1/sub-award-approval-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award Approval TypesPUT/subaward/api/v1/sub-award-approval-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award Approval TypesPATCH/subaward/api/v1/sub-award-approval-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award Approval TypesPOST/subaward/api/v1/sub-award-approval-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award Approval TypesPOST/subaward/api/v1/sub-award-approval-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardApprovalTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Approval Types by KeyDELETE/subaward/api/v1/sub-award-approval-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award Approval TypesDELETE/subaward/api/v1/sub-award-approval-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Approval Types with MatchingDELETE/subaward/api/v1/sub-award-approval-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardApprovalTypeCode
string(optional)SubAward Approval Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Attachment Types ¶
Get Sub Award Attachment Types by KeyGET/subaward/api/v1/sub-award-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award Attachment TypesGET/subaward/api/v1/sub-award-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Attachment Types with FilteringGET/subaward/api/v1/sub-award-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardAttachmentTypeCode
string(optional)Subaward Attachment Type Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award Attachment TypesGET/subaward/api/v1/sub-award-attachment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardAttachmentTypeCode",
"description"
],
"primaryKey": "subAwardAttachmentTypeCode"
}Get Blueprint API specification for Sub Award Attachment TypesGET/subaward/api/v1/sub-award-attachment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Attachment Types.md"
transfer-encoding: chunkedUpdate Sub Award Attachment TypesPUT/subaward/api/v1/sub-award-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award Attachment TypesPUT/subaward/api/v1/sub-award-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award Attachment TypesPATCH/subaward/api/v1/sub-award-attachment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award Attachment TypesPOST/subaward/api/v1/sub-award-attachment-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award Attachment TypesPOST/subaward/api/v1/sub-award-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Attachment Types by KeyDELETE/subaward/api/v1/sub-award-attachment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award Attachment TypesDELETE/subaward/api/v1/sub-award-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Attachment Types with MatchingDELETE/subaward/api/v1/sub-award-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardAttachmentTypeCode
string(optional)Subaward Attachment Type Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Attachments ¶
Get Sub Award Attachments by KeyGET/subaward/api/v1/sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award AttachmentsGET/subaward/api/v1/sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Attachments with FilteringGET/subaward/api/v1/sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- attachmentId
string(optional)Attachment ID. Maximum length is 15. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardCode
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardAttachmentTypeCode
string(optional)Attachment Type. Maximum length is 3. Validating pattern is ^[0-9]*$.
- documentId
string(optional)Document Id. Maximum length is 4. Validating pattern is ^[0-9]*$.
- fileDataId
string(optional)- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- documentStatusCode
string(optional)- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- lastUpdateTimestamp
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastUpdateUser
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award AttachmentsGET/subaward/api/v1/sub-award-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"attachmentId",
"subAwardId",
"subAwardCode",
"sequenceNumber",
"subAwardAttachmentTypeCode",
"documentId",
"fileDataId",
"fileName",
"mimeType",
"documentStatusCode",
"description",
"lastUpdateTimestamp",
"lastUpdateUser"
],
"primaryKey": "attachmentId"
}Get Blueprint API specification for Sub Award AttachmentsGET/subaward/api/v1/sub-award-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Attachments.md"
transfer-encoding: chunkedUpdate Sub Award AttachmentsPUT/subaward/api/v1/sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award AttachmentsPUT/subaward/api/v1/sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award AttachmentsPATCH/subaward/api/v1/sub-award-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award AttachmentsPOST/subaward/api/v1/sub-award-attachments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award AttachmentsPOST/subaward/api/v1/sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"subAwardId": "(val)",
"subAwardCode": "(val)",
"sequenceNumber": "(val)",
"subAwardAttachmentTypeCode": "(val)",
"documentId": "(val)",
"fileDataId": "(val)",
"fileName": "(val)",
"mimeType": "(val)",
"documentStatusCode": "(val)",
"description": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Attachments by KeyDELETE/subaward/api/v1/sub-award-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award AttachmentsDELETE/subaward/api/v1/sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Attachments with MatchingDELETE/subaward/api/v1/sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- attachmentId
string(optional)Attachment ID. Maximum length is 15. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardCode
string(optional)Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardAttachmentTypeCode
string(optional)Attachment Type. Maximum length is 3. Validating pattern is ^[0-9]*$.
- documentId
string(optional)Document Id. Maximum length is 4. Validating pattern is ^[0-9]*$.
- fileDataId
string(optional)- fileName
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mimeType
string(optional)Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- documentStatusCode
string(optional)- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- lastUpdateTimestamp
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastUpdateUser
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Closeouts ¶
Get Sub Award Closeouts by KeyGET/subaward/api/v1/sub-award-closeouts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award CloseoutsGET/subaward/api/v1/sub-award-closeouts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Closeouts with FilteringGET/subaward/api/v1/sub-award-closeouts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardCloseoutId
string(optional)Subaward Closeout Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- closeoutNumber
string(optional)Closeout Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- closeoutTypeCode
string(optional)Closeout Type Code. Maximum length is 22. Validating pattern is ^[\p{Graph}]*$.
- dateRequested
string(optional)Date Requested. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- dateFollowup
string(optional)Date Followup. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- dateReceived
string(optional)Date Received. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 4000. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award CloseoutsGET/subaward/api/v1/sub-award-closeouts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardCloseoutId",
"subAwardId",
"sequenceNumber",
"subAwardCode",
"closeoutNumber",
"closeoutTypeCode",
"dateRequested",
"dateFollowup",
"dateReceived",
"comments"
],
"primaryKey": "subAwardCloseoutId"
}Get Blueprint API specification for Sub Award CloseoutsGET/subaward/api/v1/sub-award-closeouts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Closeouts.md"
transfer-encoding: chunkedUpdate Sub Award CloseoutsPUT/subaward/api/v1/sub-award-closeouts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award CloseoutsPUT/subaward/api/v1/sub-award-closeouts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award CloseoutsPATCH/subaward/api/v1/sub-award-closeouts/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award CloseoutsPOST/subaward/api/v1/sub-award-closeouts/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award CloseoutsPOST/subaward/api/v1/sub-award-closeouts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardCloseoutId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"closeoutNumber": "(val)",
"closeoutTypeCode": "(val)",
"dateRequested": "(val)",
"dateFollowup": "(val)",
"dateReceived": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Closeouts by KeyDELETE/subaward/api/v1/sub-award-closeouts/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award CloseoutsDELETE/subaward/api/v1/sub-award-closeouts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Closeouts with MatchingDELETE/subaward/api/v1/sub-award-closeouts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardCloseoutId
string(optional)Subaward Closeout Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- closeoutNumber
string(optional)Closeout Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- closeoutTypeCode
string(optional)Closeout Type Code. Maximum length is 22. Validating pattern is ^[\p{Graph}]*$.
- dateRequested
string(optional)Date Requested. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- dateFollowup
string(optional)Date Followup. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- dateReceived
string(optional)Date Received. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 4000. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Contacts ¶
Get Sub Award Contacts by KeyGET/subaward/api/v1/sub-award-contacts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award ContactsGET/subaward/api/v1/sub-award-contacts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Contacts with FilteringGET/subaward/api/v1/sub-award-contacts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardContactId
string(optional)Subaward Contact Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- contactTypeCode
string(optional)Contact Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- rolodexId
string(optional)Rolodex Id. Maximum length is 22. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award ContactsGET/subaward/api/v1/sub-award-contacts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardContactId",
"subAwardId",
"sequenceNumber",
"subAwardCode",
"contactTypeCode",
"rolodexId"
],
"primaryKey": "subAwardContactId"
}Get Blueprint API specification for Sub Award ContactsGET/subaward/api/v1/sub-award-contacts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Contacts.md"
transfer-encoding: chunkedUpdate Sub Award ContactsPUT/subaward/api/v1/sub-award-contacts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award ContactsPUT/subaward/api/v1/sub-award-contacts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award ContactsPATCH/subaward/api/v1/sub-award-contacts/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}Insert Sub Award ContactsPOST/subaward/api/v1/sub-award-contacts/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Sub Award ContactsPOST/subaward/api/v1/sub-award-contacts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardContactId": "(val)",
"subAwardId": "(val)",
"sequenceNumber": "(val)",
"subAwardCode": "(val)",
"contactTypeCode": "(val)",
"rolodexId": "(val)",
"_primaryKey": "(val)"
}
]Delete Sub Award Contacts by KeyDELETE/subaward/api/v1/sub-award-contacts/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Sub Award ContactsDELETE/subaward/api/v1/sub-award-contacts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Sub Award Contacts with MatchingDELETE/subaward/api/v1/sub-award-contacts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardContactId
string(optional)Subaward Contact Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- subAwardId
string(optional)Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- sequenceNumber
string(optional)- subAwardCode
string(optional)- contactTypeCode
string(optional)Contact Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- rolodexId
string(optional)Rolodex Id. Maximum length is 22. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalSub Award Copyright Types ¶
Get Sub Award Copyright Types by KeyGET/subaward/api/v1/sub-award-copyright-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
}Get All Sub Award Copyright TypesGET/subaward/api/v1/sub-award-copyright-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
},
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
}
]Get All Sub Award Copyright Types with FilteringGET/subaward/api/v1/sub-award-copyright-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- copyRightTypeCode
string(optional)CopyRightTypeCode. Maximum length is 60. Validating pattern is ^[A-Za-z0-9]*$.
- copyRightTypeDescription
string(optional)copyRightTypeDescription. Maximum length is 60. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
},
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Sub Award Copyright TypesGET/subaward/api/v1/sub-award-copyright-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"copyRightTypeCode",
"copyRightTypeDescription"
],
"primaryKey": "copyRightTypeCode"
}Get Blueprint API specification for Sub Award Copyright TypesGET/subaward/api/v1/sub-award-copyright-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Copyright Types.md"
transfer-encoding: chunkedUpdate Sub Award Copyright TypesPUT/subaward/api/v1/sub-award-copyright-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Sub Award Copyright TypesPUT/subaward/api/v1/sub-award-copyright-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
},
{
"copyRightTypeCode": "(val)",
"copyRightTypeDescription": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Sub Award Copyright TypesPATCH/subaward/api/v1/sub-award-copyright-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
[...]
